Есть ли вероятность того что это дополнение было заблокировано разработчиками? Не работает даже в старых версиях, например в 37.0. При установке пишет что не совместимо. Хотя на сайте диапазон указан 1,5-56 https://addons.mozilla.org/ru/firefox/addon/pdfit/versions/

hqcabl
Распаковал install.rdf

Выделить код

Код:

<?xml version='1.0' encoding='utf-8'?>
<RDF xmlns="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:em="http://www.mozilla.org/2004/em-rdf#">
  <Description about="urn:mozilla:install-manifest">
    <em:id>service@touchpdf.com</em:id>
    <em:name>pdfit</em:name>
    <em:version>1.15.1-signed.1-signed</em:version>
    <em:creator>touchpdf</em:creator>
    <em:description>save web page as a pdf file</em:description>
    <em:homepageURL>http://www.touchpdf.com/pdfit.jsf</em:homepageURL>
    <em:aboutURL>chrome://pdfit/content/about.xul</em:aboutURL>
    <em:optionsURL>chrome://pdfit/content/options.xul</em:optionsURL>
    <em:targetApplication>
      <Description>
        <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id> <!-- firefox -->
        <em:minVersion>1.5</em:minVersion>
        <em:maxVersion>3.6.*</em:maxVersion>
      </Description>
    </em:targetApplication>
  </Description>
</RDF>

Вот min и max версия

Выделить код

Код:

        <em:minVersion>1.5</em:minVersion>
        <em:maxVersion>3.6.*</em:maxVersion>

03-06-2018 13:53:29
Я бы посоветовал дополнения Print Edit WE или Print Edit вместо него.

Спасибо за ответ. Странно что 3.6 максимальная, ведь не так давно им пользовался. Видимо изменили. Можно ли как-то самому изменить и установить?

hqcabl пишет:

Можно ли как-то самому изменить и установить?

Да, можно. Меняете расширение файла *.xpi на *.zip. Находите внутри полученного архива файл install.rdf, а в нём - строку <em:maxVersion>3.6.*</em:maxVersion>. Число 3.6.* замените, например, на 52.* (оно должно быть больше номера версии [firefox]). Сохраняете архив, меняете расширение *.zip на *.xpi и устанавливаете дополнение из файла

Viatcheslav, спасибо. Но тут ещё проблема в том, что я решил что переустановка дополнения поможет и удалил его. А теперь установить не представляется возможным. Браузер не даёт этого сделать.

hqcabl, залил на Яндекс диск - скачать. Пересобрал по инструкции от Viatcheslav, правда 7 zip-ом, без смены расширения, вроде работает.

sandro79, спасибо. Скачал, работает.